Rem // BEGIN preparation of environment for the Service Profiler

   IF NOT "%JAVA_EXE%"=="" GoTo BEGIN
   IF "%JAVA_EXEC%"=="" EXIT /B 0

:BEGIN
   SET ISSPROF_IS_DIR=%IS_DIR%
   SET ISSPROF_JAVA_DIR=%JAVA_DIR%

   PUSHD %ISSPROF_IS_DIR%
   SET ISSPROF_IS_DIR=%CD%
   POPD

   IF "%ISSPROF_JAVA_DIR%"=="" (
      CALL :SET_JVM %JAVA_EXEC%
   )

   IF EXIST "%ISSPROF_IS_DIR%\ISSPROF_VOID" (
      Rem // Skip the loading of the profiler:
      Rem    An 'IF not exist ISSPROF' enclosing the entire set of lines would
      Rem    be more elegant... but a CALL to a batch within an IF block
      Rem    always returns -1 in the ERRORLEVEL.
      IF EXIST "%ISSPROF_IS_DIR%\serviceprofiler\bin\prepare.bat" (
         CALL "%ISSPROF_IS_DIR%\serviceprofiler\bin\prepare.bat" "%ISSPROF_JAVA_DIR%" "%ISSPROF_IS_DIR%" "%1" VOID
         )
      GOTO ISSPROF_CONTINUE
   )
   IF EXIST "%ISSPROF_IS_DIR%\packages\WiaServiceProfiler\config\updates\install.bat" (
      CALL "%ISSPROF_IS_DIR%\packages\WiaServiceProfiler\config\updates\install.bat" "%ISSPROF_IS_DIR%"
   )

   CALL "%ISSPROF_IS_DIR%\serviceprofiler\bin\prepare.bat" "%ISSPROF_JAVA_DIR%" "%ISSPROF_IS_DIR%" %1
   SET ISSPROF_STATUS=%ERRORLEVEL%
   IF NOT "0" == "%ISSPROF_STATUS%" (
      IF NOT "1%1"=="1-service" ECHO Service Profiler: Preparation failed with error code: '%ISSPROF_STATUS%'
      EXIT /B -1
   )
   SET PATH=%ISSPROF_LIB%;%PATH%
   IF "1%1"=="1-service" (
      SET JAVA2_MEMSET=%JAVA2_MEMSET% %ISSPROF_JVM%
      SET JAVA_EXEC=%JAVA_EXEC% %ISSPROF_JVM%
   ) ELSE (
      SET JAVA_RUN=%JAVA_RUN% %ISSPROF_JVM%
   )

   GOTO ISSPROF_CONTINUE

:SET_JVM
   SET ISSPROF_JAVA_DIR=%~dp1
   PUSHD
   CD "%ISSPROF_JAVA_DIR%"
   CD ..
   SET ISSPROF_JAVA_DIR=%CD%
   POPD
   EXIT /B 0

:ISSPROF_CONTINUE
   SET ISSPROF_IS_DIR=
   SET ISSPROF_JAVA_DIR=

Rem // END preparation of environment for the Service Profiler
