   #!/bin/sh
# *****************************************************************************
#  Install any available updates.
# *****************************************************************************
#  Wrightia, S.A. (c) 2006-2016
#
#  Input parameters:
#     $1          : IS_DIR  (The Integration Server installation directory)
#
#  Results:
#
#  Exit codes:
#     0  - OK
#
# *****************************************************************************

xISHome="$1"
xUpdHome="$xISHome/packages/WiaServiceProfiler/config/updates"
xOLDPWD="`pwd`"

# check upgrade
cd $xUpdHome
chmod +x ./checkedupg.sh
./checkedupg.sh $xISHome
cd "$xOLDPWD"

# apply patches
cd $xUpdHome/inbound

xFileExpr="*.upd.sh"
xUpdateList=`echo ${xFileExpr}`
if [ "${xUpdateList}" != "${xFileExpr}" ] ; then
   xUpdateList=`ls *.upd.sh | sort`
   for xUpdateSh in $xUpdateList
   do
      chmod +x $xUpdateSh
      ./$xUpdateSh $xISHome
      xEL=$?
      if [ $xEL -eq 0 ]; then
         mv $xUpdateSh ../done/
      elif [ $xEL -ne 100 ]; then
         if [ ! -d ../error ]; then
            mkdir ../error
         fi
         mv $xUpdateSh ../error/
      fi
   done
fi

cd "$xOLDPWD"
unset xUpdHome
unset xISHome
exit 0
