/**
 * @copy    Wrightia, S.A. (c) 2008
 * @author  Antonio Abreu
 * @date    18-NOV-2006
 * Complements to the DOM interface.
 *                Also streamlines some of browser known limitations.
 */

function getElementsByName(tagName, elementName)
/*********************************************************************
*  Collects all Elements with the same name.
**********************************************************************
*  Parameters:
*     tagName     - The tag name that the element is defined as.
*                   Because IE does not find any kind of Tag Element
*                   with the getElementsByName('name') method, the
*                   the tagName helps to workaround it.
*     elementName - The name od the elements to collect.
**********************************************************************
*  Returns the Collection of found Elements.
********************************************************************/{
   var xResult = document.getElementsByName(elementName);

   if (xResult.length == 0)      // IE browser doesn't get any type of element by name... only some!
      {
      xResult = document.getElementsByTagName(tagName);
      if (xResult.length > 0)
         {
         var xTmp = new Array();

         for(xIdx = 0; xIdx < xResult.length; xIdx++)
            if (xResult[xIdx].getAttribute("name") == elementName)  // Opera 9 does not recognize 'xResult[xIdx].name'
               xTmp.push(xResult[xIdx]);

         xResult = xTmp;
         }
      }

   return xResult;
}

function getRadioValue(radioElement)
/*********************************************************************
*  Get the value of a radio button form element.
**********************************************************************
*  Parameters:
*     radioElement - The form element that is a radio.
**********************************************************************
*  Returns the value of the checked element in the radio group.
********************************************************************/{
   var xResult = "";

   if (radioElement)
      for(xIdx = 0; xIdx < radioElement.length; xIdx++)
         if (radioElement[xIdx].checked)
            {
            xResult = radioElement[xIdx].value;
            break;
            }

   return xResult;
}

function getParentElement(element, tagName)
/*********************************************************************
*  Get parent element of a given element.
**********************************************************************
*  Parameters:
*     element - The element to start at.
*     tagName - The tag of the parent we are looking for.
*               For instance, if "td" we are looking for the nearest
*               parent <td> tag that is including the given element.
**********************************************************************
*  Returns the value of the checked element in the radio group.
********************************************************************/{

   if (element == null)
      return null;
   else if (element.nodeType == 1 && element.tagName.toLowerCase() == tagName.toLowerCase()) // Gecko bug, supposed to be uppercase
      return element;
   else
      return getParentElement(element.parentNode, tagName);
}

